Updates the user_skill_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "d3e24ed1-3b53-40fe-8fe4-b45da8e3e973",
"user_id": "0e5ec815-7513-4ac1-a9e2-17179a1569d0",
"user_code": "sample string 3",
"user": {
"id": "8a6449df-19ad-4ece-8cb8-ad1c7fae7804",
"db_language_id": "59f1cefd-b66d-4f04-a4a1-868b4ad95d0c",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-13T17:05:17.0954929+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "e07012cb-af73-4b1c-afa6-a89eb5c155c3",
"sales_organization": {
"id": "907fa0f9-7440-4348-86cd-65b5ccda2779",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b98162e6-55c8-45f9-b6e6-72a028d1d471",
"db_currency_id": "d2646298-4ec6-46bc-9163-53091ff36d95",
"db_language_id": "0c9d1072-0a2c-4fb2-9fa5-8fe6cef3c50b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T17:05:17.0954929+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "cda49e30-45ab-4735-9573-d16b1919d2b7",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "25f85c3c-e440-468a-93ff-9bc1546474a9",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-13T17:05:17.0954929+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "377adbf9-6259-4098-b083-bd0535abc487"
},
"skill_id": "4aa91a37-8801-4437-9f56-19ea40c8e3e6",
"skill_code": "sample string 5",
"skill": {
"id": "e12b5240-a56f-4acb-8369-ac234cfa879e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "ee115328-054e-4acd-b1c8-ffd3b67f5b8c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "907fa0f9-7440-4348-86cd-65b5ccda2779",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b98162e6-55c8-45f9-b6e6-72a028d1d471",
"db_currency_id": "d2646298-4ec6-46bc-9163-53091ff36d95",
"db_language_id": "0c9d1072-0a2c-4fb2-9fa5-8fe6cef3c50b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T17:05:17.0954929+00:00"
},
"modified_dateutc": "2026-11-13T17:05:17.0954929+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-11-13T17:05:17.0954929+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.